vnfd:
  description: A VNF consisting of 2 VDUs connected to an internal VL
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: mgmtVM
      - number-of-instances: 1
        vdu-id: dataVM
    vdu-profile:
    - id: mgmtVM
      min-number-of-instances: 1
    - id: dataVM
      min-number-of-instances: 1
    virtual-link-profile:
    - id: internal
      flavour: ''
      virtual-link-protocol-data:
        l3-protocol-data:
          cidr: 192.168.200.0/24
          ip-version: ipv4
  ext-cpd:
  - id: vnf-mgmt-ext
    int-cpd:
      cpd: mgmtVM-eth0-int
      vdu-id: mgmtVM
  id: ipprofile_2vm-vnf
  int-virtual-link-desc:
  - id: internal
  mgmt-cp: vnf-mgmt-ext
  product-name: ipprofile_2vm-vnf
  sw-image-desc:
  - id: ubuntu20.04
    image: ubuntu20.04
    name: ubuntu20.04
  - id: ubuntu20.04-azure
    name: ubuntu20.04-azure
    image: Canonical:0001-com-ubuntu-server-focal:20_04-lts:latest
    vim-type: azure
  vdu:
  - id: mgmtVM
    int-cpd:
    - id: mgmtVM-eth0-int
      virtual-network-interface-requirement:
      - name: mgmtVM-eth0
        position: 1
        virtual-interface:
          type: PARAVIRT
    - id: mgmtVM-eth1-int
      int-virtual-link-desc: internal
      virtual-network-interface-requirement:
      - name: mgmtVM-eth1
        position: 2
        virtual-interface:
          type: PARAVIRT
    name: mgmtVM
    sw-image-desc: ubuntu20.04
    alternative-sw-image-desc:
    - ubuntu20.04-azure
    virtual-compute-desc: mgmtVM-compute
    virtual-storage-desc:
    - mgmtVM-storage
  - id: dataVM
    int-cpd:
    - id: dataVM-eth0-int
      int-virtual-link-desc: internal
      virtual-network-interface-requirement:
      - name: dataVM-eth0
        position: 1
        virtual-interface:
          type: PARAVIRT
    name: dataVM
    sw-image-desc: ubuntu20.04
    alternative-sw-image-desc:
    - ubuntu20.04-azure
    virtual-compute-desc: dataVM-compute
    virtual-storage-desc:
    - dataVM-storage
  version: '1.0'
  virtual-compute-desc:
  - id: mgmtVM-compute
    virtual-memory:
      size: 1.0
    virtual-cpu:
      num-virtual-cpu: 1
  - id: dataVM-compute
    virtual-memory:
      size: 1.0
    virtual-cpu:
      num-virtual-cpu: 1
  virtual-storage-desc:
  - id: mgmtVM-storage
    size-of-storage: 10
  - id: dataVM-storage
    size-of-storage: 10
